Page MenuHomePhabricator

xhprof for MW
Closed, ResolvedPublic

Description

Configurable xhprof for MW

  • Configure function list for filtering
  • Should be possible to send output to traditional destinations: mwprof UDP (like ProfilerMwprof), log file (like ProfilerStandard), HTML source (like ProfilerSimpleText)

Fixing T758 should be much easier if we have something along these lines. May be worth hacking up a temporary solution.

Event Timeline

tstarling claimed this task.
tstarling removed tstarling as the assignee of this task.
tstarling updated the task description. (Show Details)
tstarling added a project: MediaWiki-Core-Team.
tstarling moved this task to In Dev/Progress on the MediaWiki-Core-Team board.
tstarling changed Security from none to None.
tstarling moved this task from In Dev/Progress to Backlog on the MediaWiki-Core-Team board.
tstarling added a subscriber: tstarling.
demon added a subscriber: demon.Oct 21 2014, 3:01 AM
tstarling updated the task description. (Show Details)Oct 21 2014, 3:02 AM
tstarling removed a subscriber: demon.
tstarling triaged this task as High priority.Oct 21 2014, 4:13 AM
tstarling updated the task description. (Show Details)
tstarling removed a subscriber: Unknown Object (MLST).
bd808 added a subscriber: bd808.Oct 27 2014, 4:48 AM

Work in progress patch at https://gerrit.wikimedia.org/r/#/c/168930/ that provides a convenience class for working with XHProf data and a Profiler wrapper.

demon moved this task from Untriaged to Done on the Librarization board.Dec 5 2014, 6:04 PM
demon moved this task from Backlog to Done on the MediaWiki-Core-Team board.
demon moved this task from Done to In Dev on the Librarization board.Dec 5 2014, 6:32 PM
demon moved this task from Done to In Dev/Progress on the MediaWiki-Core-Team board.
bd808 moved this task from In Dev to Needs Review on the Librarization board.Dec 17 2014, 11:05 PM
bd808 moved this task from In Dev/Progress to Needs Review/Feedback on the MediaWiki-Core-Team board.

@tstarling Is there anything else you think we need to do before closing this task? We have the hhvm based profiler working in production and it still supports sub-function profiles.

bd808 claimed this task.Dec 22 2014, 11:31 PM
tstarling closed this task as Resolved.Jan 8 2015, 11:31 PM
bd808 moved this task from Needs Review to Done on the Librarization board.Jan 8 2015, 11:34 PM
bd808 moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Jan 12 2015, 11:37 PM